[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Accepted jruby 9.1.8.0-3~bpo9+1 (source all) into stretch-backports, stretch-backports



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 24 Sep 2017 18:12:26 +0100
Source: jruby
Binary: jruby
Architecture: source all
Version: 9.1.8.0-3~bpo9+1
Distribution: stretch-backports
Urgency: medium
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Miguel Landaeta <nomadium@debian.org>
Description:
 jruby      - 100% pure-Java implementation of Ruby
Closes: 792150 867652 869486
Changes:
 jruby (9.1.8.0-3~bpo9+1) stretch-backports; urgency=medium
 .
   * Rebuild for stretch-backports.
   * Modify B-D on libmaven-assembly-plugin-java to use version available
     in stretch.
 .
 jruby (9.1.8.0-3) unstable; urgency=medium
 .
   * Fix dependencies on ruby-psych and add dependencies on libpsych-java.
   * Update versioned dependency on maven-assembly-plugin.
   * Refresh patches:
     - d/p/0004-Add-missing-maven-artifacts-pom-files.patch
 .
 jruby (9.1.8.0-2) unstable; urgency=medium
 .
   * Fix FTBFS caused by an unresolved dependency on an outdated version
     of libmaven-assembly-plugin-java.
   * Break dependency loop by temporarily demoting dependency on ruby-psych
     to Suggests. (Closes: #869486).
 .
 jruby (9.1.8.0-1) unstable; urgency=medium
 .
   * Upload to unstable. (Closes: #867652).
   * Prevent FTBFS errors caused by maven-bundle-plugin incompatibility with
     jar files shipping module definition files. The following patch was
     introduced as temporary workaround: d/p/FELIX-5430.patch.
 .
 jruby (9.1.8.0-1~exp3) experimental; urgency=medium
 .
   * Allow tests failures again. This is unfortunate but the package
     is not ready for doing source only uploads and expect no failures from
     the extense test suite run at buildd nodes during build time.
 .
 jruby (9.1.8.0-1~exp2) experimental; urgency=medium
 .
   * Don't ignore failures from MRI tests suite.
     However, a few tests were excluded, so an additional patch was introduced:
     0010-Exclude-mri-tests-failing-in-debian.patch
   * Reintroduce B-D on locales-all.
   * Enable additional JRuby tests tasks:
     - Drop patch 0009-Bundle-psych-java-extension.patch.
     - Add dependencies on:
       + ruby-jar-dependencies
       + ruby-json (>= 2.0.1+dfsg-4~)
       + ruby-psych
     - Drop explicit dependency on libruby-2.3.
     - Add Build-Conflicts on open-infrastructure-locales-c.utf-8.
     - Simplify several d/rules targets.
     - Add more patches:
       + 0011-Disable-failed-tests-in-sbuild.patch
       + 0012-Disable-jruby-flaky-tests.patch
       + 0013-Disable-regression-flaky-tests.patch
 .
 jruby (9.1.8.0-1~exp1) experimental; urgency=medium
 .
   * New upstream release.
   * Refresh patches.
     Drop patch 0003-Disable-truffle-module.patch since is no longer needed.
   * Add dependency on libunsafe-fences-java.
   * Update versioned dependency on libjnr-posix-java to (>= 3.0.36~).
   * Remove references to truffle module since it has been removed.
 .
 jruby (9.1.6.0-1~exp3) experimental; urgency=medium
 .
   * Add versioned dependency on jruby-openssl (>= 0.9.17~).
   * Add dependency on ruby-jar-dependencies.
 .
 jruby (9.1.6.0-1~exp2) experimental; urgency=medium
 .
   * Don't hard-code libyaml-snake-java version in psych stdlib module.
   * Bundle psych Java native extension:
     - Add patch 0009-Bundle-psych-java-extension.patch.
     - Add again dependency on libyaml-snake-java.
 .
 jruby (9.1.6.0-1~exp1) experimental; urgency=medium
 .
   The "better late than never" release.
 .
   * New upstream release. (Closes: #792150)
   * Update uploaders list.
     Thanks to Tim Potter for his effort to package 1.7.x releases.
   * Bump debhelper compat level to 10.
   * Update dependencies lists:
     - Since 9.0.0.0 release, at least java7-runtime is needed to run jruby.
     - New dependencies on:
       + libdirgra-java
       + libjitescript-java
       + libjzlib-java
       + libmaven-source-plugin-java
       + libosgi-core-java
       + libruby2.3
       + rake
       + ruby-test-unit
     - Update versioned dependencies on:
       + debhelper (>= 10~)
       + libbytelist-java (>= 1.0.13~)
       + libinvokebinder-java (>= 1.7~)
       + libjffi-java
       + libjnr-constants-java (>= 0.9.5~)
       + libjnr-ffi-java (>= 2.1.1~)
       + libjnr-netdb-java
       + libjnr-posix-java (>= 3.0.32~)
       + libjnr-unixsocket-java (>= 0.14~)
       + libjnr-x86asm-java
     - Drop explicit dependencies on:
       + bnd
       + libjgrapht0.8-java
       + libjline2-java
       + libmaven-compiler-plugin-java (>= 3.2~)
       + libmaven-install-plugin-java
       + libproperties-maven-plugin-java
       + libyaml-snake-java
       + libyecht-java (>= 1.0~)
       + locales-all
       + maven-repo-helper
       + netbase
       + ruby-minitest
       + ruby-minitest-excludes
       + yydebug
   * Refresh d/copyright file.
   * Rework all the patches, almost all of them were dropped since they
     were not necessary anymore. Also, upstream switched their build system
     to polyglot-maven, so new ones were introduced.
   * Update d/rules.
   * Update package description.
   * Update lintian overrides.
   * Drop jruby-core-noasm Maven artifact, is not provided by upstream
     anymore.
Checksums-Sha1:
 9bc1497bdcefc30ddc9d57892cdfbbd895622ac3 3014 jruby_9.1.8.0-3~bpo9+1.dsc
 3f2f8b7873f9a6bacc7f079da3d886caa61c4ffd 8255947 jruby_9.1.8.0.orig.tar.gz
 0fac4b2601c24414b9f40ea144d645a872ef6e72 77848 jruby_9.1.8.0-3~bpo9+1.debian.tar.xz
 62d436d29b014ce6554eee5799b09c49bf262488 39735392 jruby_9.1.8.0-3~bpo9+1_all.deb
 8a5d209cd6257c46405e0ccc23eebbb49f41bb0b 16235 jruby_9.1.8.0-3~bpo9+1_amd64.buildinfo
Checksums-Sha256:
 11b4a1c310c416c3c9d1ba0d773b1941cb9b92836a000ea8ae932360ed9ac21a 3014 jruby_9.1.8.0-3~bpo9+1.dsc
 e216099ded5575a9dd097e6e7e658853d7911413a85aa77727130e8d809a39e5 8255947 jruby_9.1.8.0.orig.tar.gz
 af1cd1b2c42cc73fe1a9c18bd4de628dbb777031dfe2c42bc8d9c44fc6196bf6 77848 jruby_9.1.8.0-3~bpo9+1.debian.tar.xz
 29748bc8d467e8f940bd966df295400985935700b80dbf6f68f07eea697b61d0 39735392 jruby_9.1.8.0-3~bpo9+1_all.deb
 83d07f5cf4afc050ba8ca1f6d03bed9453e456e05e8e353d3c46c5f4d7962dc2 16235 jruby_9.1.8.0-3~bpo9+1_amd64.buildinfo
Files:
 e56643118f3e7dc7ddb2ca5189f9fc88 3014 ruby optional jruby_9.1.8.0-3~bpo9+1.dsc
 07487796a8a644be50071ddc8c1b1325 8255947 ruby optional jruby_9.1.8.0.orig.tar.gz
 175d77c40c196b0f7bb15befffc74888 77848 ruby optional jruby_9.1.8.0-3~bpo9+1.debian.tar.xz
 6a3145fa4a53229708d7705bd359c9f8 39735392 ruby optional jruby_9.1.8.0-3~bpo9+1_all.deb
 d594925a49d656341f01e20e249d9d56 16235 ruby optional jruby_9.1.8.0-3~bpo9+1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIcBAEBCgAGBQJZyBo2AAoJEK+44PySMcxtO2sP/2HxYYTnNk1SIfKJwI3MWZcf
Fgi+T7RUIDW2XsU7ss7KkzewxrDsdK4HiObLf9k7fvEntomndVuIor4QSC12oGiQ
8PFgFMg/Ix9ud4mb/9bVePCqI9Gqn7IP0wUR0lUTyx9D3eHEk6K7mUZGeUj76Ns8
1+o/rZ3fOXNB8wuIgRXe4SnyAfZT3lkxLEFF1F666Q7nfZiYz8jj/Ixi5AAcjbzJ
sH9GUz3RO8zu/RQ27Z5+US49nrFa/4MBr3rW48pO7RNNBLiBmn1uRz4ZgrjZVEXi
nhPbc5kaJkbKhFRgg5jEOvPn41fQXXrXUNV0h3f+YnfNn+OZzcJZm3cD+xDKoIZu
vZWuB8/srA1lSuh+UXNc2wFb8aindUCCvweZ/BYD7QxOmGXugj45deeyFcAR2ry7
tY1gGB3P/OC9wPcZ5mEVSU5tfHtXXfDJ+ZaBoXc18NX/+XJUV7Y5P1P8v+F0PfvM
AuUSceAD5ARL72noN276tgZZwZCnwwUIekRL1eN8bJ35ckG/FLyDGPQy0atXBXIJ
JCKDNjJ88HVS1On09oPudIMQsSZ8hT/n0a05A4NIIp48SCtPRQAxfhTOPkVswnyB
sEdEHpoE65iGRXKVlSQ+Fk+NiHC42Lwwr5kMh46PQ9JPTW0fGBQ92e/Do979mxHV
QggF6JmivSpsvdlA3fVx
=k6eU
-----END PGP SIGNATURE-----


Reply to: